Subject: new web page

From: [email-masked] (Ed Greenwood)
Date: 8 Mar 1996 21:40:17 GMT

Moonrise Herbs would like announce their full 63 page catalog is now on the 
Web.

It includes our full selection of over 200 bulk herbs, tea blends, and a 
complete line of essential oils and fragrances. There is also a complete 
selection of thoughtfully chosen books, music, jewelry, gifts, natural body 
care products, herbal formulas for common ailments, incense, aromatherapy and 
many other tools for personal growth.  You will also find high quality body 
oils, beeswax, containers and supplies for making your own herbal products. 
Categories include: Men, Women, Conception, Babies, and Children.  Order toll 
free.

http://www.moonrise.botanical.com
e-mail: [email-masked]